sdpcone.c File Reference

Implement operations on the SDPCone object. More...

Go to the source code of this file.

## Functions

int | SDPConeComputeSS (SDPCone sdpcone, int blockj, DSDPVec Y, DSDPVMat SS)
| Sum the data matrices.
int | SDPConeComputeX3 (SDPCone sdpcone, int blockj, double mu, DSDPVec Y, DSDPVec DY, DSDPVMat X)
| Compute the matrix X with the given information.
int | SDPConeComputeXDot (SDPCone sdpcone, int blockj, DSDPVec Y, DSDPVMat X, DSDPVec AX, double *xtrace, double *xnorm, double *tracexs)
| Compute inner product of X with the Data, S, and norm of X.

## Detailed Description

Implement operations on the SDPCone object.

Definition in file sdpcone.c.

## Function Documentation

## SDPConeComputeSS()

int SDPConeComputeSS | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | DSDPVec | Y,
|  | DSDPVMat | SS
| ) |  |

Sum the data matrices.

Parameters

  sdpcone | semidefinite cone object
  blockj | block number
  Y | scalar multiples of A matrices.
  SS | destination array.

Definition at line 18 of file sdpcone.c.

Referenced by SDPConeComputeX3().

## SDPConeComputeX3()

int SDPConeComputeX3 | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | double | mu,
|  | DSDPVec | Y,
|  | DSDPVec | DY,
|  | DSDPVMat | X
| ) |  |

Compute the matrix X with the given information.

Parameters

  sdpcone | semidefinite cone
  blockj | block number
  mu | barrier parameter
  Y | dual solution
  DY | Newton direction
  X | destination

See also
  DSDPComputeX()

Definition at line 140 of file sdpcone.c.

## SDPConeComputeXDot()

int SDPConeComputeXDot | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | DSDPVec | Y,
|  | DSDPVMat | X,
|  | DSDPVec | AX,
|  | double * | xtrace,
|  | double * | xnorm,
|  | double * | tracexs
| ) |  |

Compute inner product of X with the Data, S, and norm of X.

Parameters

  sdpcone | semidefinite cone
  blockj | block number
  Y | dual solution
  X | dense array matrix
  AX | inner products
  xtrace | trace of X
  xnorm | norm of X
  tracexs | inner product of X and S

Definition at line 111 of file sdpcone.c.